/[gentoo]/xml/htdocs/doc/en/gcc-upgrading.xml
Gentoo

Diff of /xml/htdocs/doc/en/gcc-upgrading.xml

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.12 Revision 1.13
1<?xml version='1.0' encoding="UTF-8"?> 1<?xml version='1.0' encoding="UTF-8"?>
2<!-- $Header: /var/cvsroot/gentoo/xml/htdocs/doc/en/gcc-upgrading.xml,v 1.12 2006/03/01 20:17:49 jkt Exp $ --> 2<!-- $Header: /var/cvsroot/gentoo/xml/htdocs/doc/en/gcc-upgrading.xml,v 1.13 2006/05/26 20:45:35 nightmorph Exp $ -->
3 3
4<!DOCTYPE guide SYSTEM "/dtd/guide.dtd"> 4<!DOCTYPE guide SYSTEM "/dtd/guide.dtd">
5 5
6<guide link="/doc/en/gcc-upgrading.xml"> 6<guide link="/doc/en/gcc-upgrading.xml">
7<title>Gentoo Linux GCC Upgrade Guide</title> 7<title>Gentoo Linux GCC Upgrade Guide</title>
23 23
24<!-- The content of this document is licensed under the CC-BY-SA license --> 24<!-- The content of this document is licensed under the CC-BY-SA license -->
25<!-- See http://creativecommons.org/licenses/by-sa/2.5 --> 25<!-- See http://creativecommons.org/licenses/by-sa/2.5 -->
26<license/> 26<license/>
27 27
28<version>11</version> 28<version>12</version>
29<date>2006-03-01</date> 29<date>2006-05-26</date>
30 30
31<chapter id="intro"> 31<chapter id="intro">
32<title>Introduction</title> 32<title>Introduction</title>
33<section> 33<section>
34<title>GCC Upgrading</title> 34<title>GCC Upgrading</title>
58greater versions</uri> and issues with <c>libstdc++</c>. A second specific 58greater versions</uri> and issues with <c>libstdc++</c>. A second specific
59section is for users <uri link="#first-install">first installing</uri> Gentoo 59section is for users <uri link="#first-install">first installing</uri> Gentoo
60using a stage3 tarball, after a new GCC major/minor version has been released. 60using a stage3 tarball, after a new GCC major/minor version has been released.
61</p> 61</p>
62 62
63<note> 63<warn>
64It should be noted that upgrading from GCC-3.4 to GCC-4.0 or greater requires 64It should be noted that upgrading from GCC-3.4 to GCC-4.1 or greater still
65no real changes to be made by the user, as GCC-3.4 and GCC-4.0 use the same 65requires you to follow the general upgrading instructions, as GCC-3.4 and
66ABI. All that is required is that <c>gcc-config</c> is used to select the 66GCC-4.1 use slightly different ABIs.
67compiler desired. 67</warn>
68</note>
69 68
70</body> 69</body>
71</section> 70</section>
72</chapter> 71</chapter>
73 72

Legend:
Removed from v.1.12  
changed lines
  Added in v.1.13

  ViewVC Help
Powered by ViewVC 1.1.20